Bug 1404731 (CVE-2016-9935)

Summary: CVE-2016-9935 php: Invalid read when wddx decodes empty boolean element
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abhgupta, apmukher, cbuissar, dkaylor, dmcphers, fedora, hhorak, jialiu, jokerman, jorton, kseifried, lmeyer, martin.moore, mmccomas, rcollet, sardella, tiwillia, webstack-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php 5.6.29, php 7.0.14 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-21 08:56:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1404737, 1554854    
Bug Blocks: 1404738    

Description Adam Mariš 2016-12-14 14:07:45 UTC
An invalid read occurs when wddx decodes empty boolean element, leading to arbitrary memory read or crash.

Upstream bug:

https://bugs.php.net/bug.php?id=73631

Upstream patch:

https://github.com/php/php-src/commit/66fd44209d5ffcb9b3d1bc1b9fd8e35b485040c0

CVE assignment:

http://seclists.org/oss-sec/2016/q4/658

Comment 1 Adam Mariš 2016-12-14 14:18:47 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1404737]

Comment 4 Cedric Buissart 2017-02-20 16:15:45 UTC
This issue happens when untrusted input is unserialized. Doing so is documented as being unsafe:
http://php.net/manual/en/function.wddx-deserialize.php#refsect1-function.wddx-deserialize-notes

Warning
Do not pass untrusted user input to wddx_deserialize(). Unserialization can result in code being loaded and executed due to object instantiation and autoloading, and a malicious user may be able to exploit this.

Comment 6 errata-xmlrpc 2018-05-03 05:05:41 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1296 https://access.redhat.com/errata/RHSA-2018:1296